{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Updates the given fields of a saved event query.","properties":{"path":{"type":"object","properties":{"account_id":{"description":"Account ID.","type":"string"},"query_id":{"description":"Event query ID","type":"integer"}},"required":["account_id","query_id"],"additionalProperties":false},"body":{"type":"object","properties":{"alert_enabled":{"description":"Deprecated and ignored: saved-query alerting and rules were removed.","type":"boolean"},"alert_rollup_enabled":{"description":"Deprecated and ignored: saved-query alerting and rules were removed.","type":"boolean"},"name":{"description":"Unique name for the saved query","type":"string"},"query_json":{"description":"JSON string containing the query parameters","type":"string"},"rule_enabled":{"description":"Deprecated and ignored: saved-query alerting and rules were removed.","type":"boolean"},"rule_scope":{"description":"Deprecated and ignored: saved-query alerting and rules were removed.","type":"string"}}}},"required":["path"],"additionalProperties":false},"name":"Update a saved event query","id":"cloudflare.patch_eventqueryupdate","example":{"path":{"account_id":"example","query_id":1}},"maxRequests":1,"summary":false}}